Bug 381211

Summary: mount.nfs -o nolocks typo
Product: [Fedora] Fedora Reporter: Warren Togami <wtogami>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:54:08 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Warren Togami 2007-11-13 17:11:08 EST
/sbin/mount.nfs copied into initrd, trying to mount a NFS without statd running.

/bin/mount itself fails NFS mount with:
mount: wrong fs type, bad option, bad superblock, on,
        missing codepage or helper program, or other error
        In some cases useful info is found in syslog - try
        dmesg | tail  or so
/sbin/mount.nfs added to the initrd fails with:
mount.nfs: rpc.statd is not running but is required for remote locking
Either use "-o nolocks" to keep locks local, or start statd.
But "nolocks" does not seem to be a valid option for mount.nfs.
Comment 1 Warren Togami 2007-11-16 04:27:26 EST
The actual bug is the error message displayed by /sbin/mount.nfs has a typo. 
The working NFSv3 option is "nolock".

Please correct the error message.
Comment 2 Bug Zapper 2008-11-26 03:24:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Steve Dickson 2008-12-04 14:54:39 EST
Fixed in nfs-utils-1.1.2-6.fc9
Comment 4 Bug Zapper 2009-01-09 02:54:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.